{
  "log-driver": "{{ docker_daemon.log_driver }}"{% if docker_daemon.log_opts is defined and docker_daemon.log_opts|length > 0 %},
    "log-opts": {
{% for key in docker_daemon.log_opts %}
      "{{ key | replace('_','-') }}": "{{ docker_daemon.log_opts[key] }}"{% if not loop.last %},
{% endif %}
{% endfor %}

    }
{% else %}

{% endif %}
}
